summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-12-13 23:43:02 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-12-13 23:43:33 +0100
commit57a26f6e4751b10cfd5eb2a28741e0389d713dad (patch)
tree3ec5be8e322d531d131495ccd8a7de8a52b694f8
parentkde-apps/knights: Drop 2.6.0_pre20180415 snapshot (diff)
downloadgentoo-57a26f6e4751b10cfd5eb2a28741e0389d713dad.tar.gz
gentoo-57a26f6e4751b10cfd5eb2a28741e0389d713dad.tar.bz2
gentoo-57a26f6e4751b10cfd5eb2a28741e0389d713dad.zip
kde-apps/knights: Require one of the chess engines at runtime
- Make it functional by default, negligible extra deps - No elog spam in pkg_postinst Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--kde-apps/knights/knights-18.12.0-r1.ebuild (renamed from kde-apps/knights/knights-18.12.0.ebuild)16
1 files changed, 8 insertions, 8 deletions
diff --git a/kde-apps/knights/knights-18.12.0.ebuild b/kde-apps/knights/knights-18.12.0-r1.ebuild
index 2c15d2dd9e6..a09b920890d 100644
--- a/kde-apps/knights/knights-18.12.0.ebuild
+++ b/kde-apps/knights/knights-18.12.0-r1.ebuild
@@ -38,11 +38,11 @@ DEPEND="
$(add_qt_dep qtwidgets)
speech? ( $(add_qt_dep qtspeech) )
"
-RDEPEND="${DEPEND}"
-
-pkg_postinst() {
- kde5_pkg_postinst
-
- elog "No chess engines are emerged by default! If you want a chess engine"
- elog "to play with, you can emerge gnuchess or crafty."
-}
+RDEPEND="${DEPEND}
+ || (
+ games-board/gnuchess
+ games-board/crafty
+ games-board/stockfish
+ games-board/sjeng
+ )
+"